{capture name=path}{l s='Credit Card' mod='creditcard'}{/capture}
{include file=$tpl_dir./breadcrumb.tpl}

<h2>{l s='Order summary' mod='creditcard'}</h2>
<script language="javascript" src="{$this_path}functions.js"></script>
{assign var='current_step' value='payment'}
{include file=$tpl_dir./order-steps.tpl}

{if $nbProducts <= 0}
	<p class="warning">{l s='Your shopping cart is empty.'}</p>
{else}
<h3>{l s='Credit Card Payment' mod='creditcard'}</h3>

<form action="{$smarty.server.REQUEST_URI}" method="post" id="creditcardForm" name="creditcardForm">
<p>
	<img src="{$this_path}creditcard.jpg" alt="{l s='credit card' mod='creditcard'}" style="float:left; margin: 0px 10px 5px 0px;" />
	{l s='You have chosen to pay by Credit Card.' mod='creditcard'}
	<br /><br />
	{l s='Here is a short summary of your order:' mod='creditcard'}
</p>
<p style="margin-top:20px;">
	- {l s='The total amount of your order is' mod='creditcard'}
	{if $currencies|@count > 1}
		{foreach from=$currencies item=currency}
			<span id="amount_{$currency.id_currency}" class="price" style="display:none;">{convertPriceWithCurrency price=$total currency=$currency}</span>
		{/foreach}
	{else}
		<span id="amount_{$currencies.0.id_currency}" class="price">{convertPriceWithCurrency price=$total currency=$currencies.0}</span>
	{/if}
	{l s='(tax incl.)' mod='creditcard'}
</p>
<p>
	-
	{if $currencies|@count > 1}
		{l s='We accept several currencies to be sent by Credit Card.' mod='creditcard'}
		<br /><br />
		{l s='Choose one of the following:' mod='creditcard'}
		<select id="currency_payement" name="currency_payement" onchange="showElemFromSelect('currency_payement', 'amount_')">
			{foreach from=$currencies item=currency}
				<option value="{$currency.id_currency}" {if $currency.id_currency == $cust_currency}selected="selected"{/if}>{$currency.name}</option>
			{/foreach}
		</select>
		<script language="javascript">showElemFromSelect('currency_payement', 'amount_');</script>
	{else}
		{l s='We accept the following currency to be sent by Credit Card:' mod='creditcard'}&nbsp;<b>{$currencies.0.name}</b>
		<input type="hidden" name="currency_payement" value="{$currencies.0.id_currency}">
	{/if}
</p>
<p>
	<h3>{l s='Credit Card Information' mod='creditcard'}</h3>

     {if $errNumber == '1' OR $errName == '1' OR $errCVC == '1'}

		<div class="alert error" id="errorDiv">

			<img alt="{l s='Error:' mod='creditcard'}" src="{$base_dir}img/admin/forbbiden.gif" />

			{l s='One or more errors were encountered. Please review your credit card number to continue.' mod='creditcard'}

		</div>

	{/if}

	<table border="0">

  		<tr>

			<td>

				{l s='Name on Card:' mod='creditcard'}

    <div id="errName" style="color: red;{if $errName eq '1'}display: block;{else}display: none;{/if}">{l s='Valid Name is Required' mod='creditcard'}</div>


   </td>

			<td>

                   <input type="text" name="cardName" id="cardName" value="{$cardName}"/>
                </td>

		</tr>
            <tr>

			<td>

				{l s='Credit Card Number:' mod='creditcard'}

				<div id="errNumber" style="color: red;{if $errNumber eq "1"}display: block;{else}display: none;{/if}">{l s='Valid Card Number is Required' mod='creditcard'}</div>

			</td>

          <td>

				<input type="text" name="cardNumber" id="cardNumber" value="{$cardNumber}"  MAXLENGTH="16"/>
               	<img src="{$this_path}img/unknown.gif" id="cardLogoImg" name="cardLogoImg"  />

			</td>

		</tr>
        {if $requireCVC eq "TRUE"}

		<tr>

			<td>

				{l s='Card CVC Number:' mod='creditcard'}

				<div id="errCVC" style="color:red;{if $errCVC eq '1'}display: block;{else}display: none;{/if}">{l s='Valid CVC Number is Required' mod='creditcard'}</div>

			</td>

			<td>

				<input type="text" name="cardCVC" id="cardCVC" value="{$cardCVC}"  MAXLENGTH="3" />
               	<a href='{$this_path}img/CVC.jpg' class='popup' target='_blank'>{l s='Where is My CVC Number' mod='creditcard'}</a>

			</td>

		</tr>

		{/if}

        <tr>

			<td>

				{l s='Expiration Date:' mod='creditcard'}
    		</td>

			<td>

              {html_select_date
                 month_format='%m'
                 time='0000-00-00'
                 prefix='expDate_'
                 start_year='-0'
                 end_year='+15'
                 display_days=false}

               </td>

		</tr>

</table>
</p>
{if $bandeiras}
<h3>{l s='Parcelling Options for Credit Card Payment' mod='creditcard'}</h3>

{foreach from=$bandeiras item=bandeira name=bandeiradiscovery}

{if !$smarty.foreach.bandeiradiscovery.first}
<td>

<div id="barra"></div>
<br>
{/if}


    {foreach key=key from=$bandeira.parcelas item=parcela name=parcelasdiscovery}

   {if $smarty.foreach.parcelasdiscovery.first OR ($key-1) eq $bandeira.dividir}
<div class="coluna">
	{/if}

  <div id="corpo" class="parcelamento">
  <input type="radio" name="cardParcels" id="cardParcels" value="{$parcela.0}&nbsp;x&nbsp;{$parcela.1}&nbsp;={$parcela.2}" {if $smarty.foreach.parcelasdiscovery.first}checked="checked"{/if}/>&nbsp;->&nbsp;{$parcela.0}&nbsp;x&nbsp;{$parcela.1}&nbsp;=&nbsp;{$parcela.2}<br>

    <div class="clear"></div>
    
</div>
 </select>
	{if ($key) eq $bandeira.dividir OR $smarty.foreach.parcelasdiscovery.last}
</div>
	{/if}
{/foreach}
<div class="clear"></div><br />
{/foreach}
{/if}
<p>
	<b>{l s='Please confirm your order by clicking \'Submit Order\'' mod='creditcard'}.</b>

</p>

<p class="cart_navigation">

	<a href="{$base_dir_ssl}order.php?step=3" class="button_large">{l s='Other payment methods' mod='creditcard'}</a>

	<input type="submit" name="paymentSubmit" value="{l s='Submit Order' mod='creditcard'}" class="exclusive_large" />

</p>

</form>
{/if}
